Export cashflow statement as CSV
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/cashflow-statement/exports/csv \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/cashflow-statement/exports/csv"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/cashflow-statement/exports/csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"presignedUrl": "https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\n",
"fileType": "csv",
"fileName": "receipt.pdf",
"createdAt": "2023-11-07T05:31:56Z",
"type": "S3_Presigned_Url",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_type": "RECEIPT"
}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Exports
Export cashflow statement as CSV
Exports a cashflow statement as a CSV file. Returns a pre-signed URL for downloading the generated CSV file.
GET
/
v1
/
businesses
/
{businessId}
/
reports
/
cashflow-statement
/
exports
/
csv
Export cashflow statement as CSV
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to export the cashflow statement for.
Query Parameters
Start date for the cashflow statement (ISO 8601 format).
End date for the cashflow statement (ISO 8601 format).
Format for monetary values in the export.
Available options:
DOLLAR_STRING, CENTS_INTEGER Accounting basis for the report.
Available options:
ACCRUAL, CASH Response
Pre-signed URL for downloading the CSV export.
A pre-signed URL to download a document or generated file.
Show child attributes
Show child attributes